Zeitgeist.Log.delete_events – zeitgeist-2.0 Reference Manual

# delete_events

## Description:

public async TimeRange delete_events (Array<uint32> event_ids, Cancellable? cancellable = null) throws Error

Delete a collection of events from the zeitgeist log given their event ids.

The deletion will be done asynchronously, and this method returns immediately.

## Parameters:

event_ids | Array<uint32>
cancellable | a GLib.Cancellable to cancel the operation or %NULL